<?php
$errorP = NULL;
if(empty($data['id']) && isset($user['id'])){$data = $user;}
if($data['block_time'] < time() && $user['id'] == $data['id'] && isset($_POST['cfms'])) {
	if(@$_POST['access'] == ACCESS) {
		DB :: $pdo -> query("UPDATE `users` SET `block_unlock` = ?, `block_time` = ?,`block_id` = ?,`block_cause` = ? WHERE `id` = ? LIMIT 1;", array(1,0,0,0,$user['id']));
		DB :: $pdo -> query("UPDATE `blocks` SET `unlock` = ? WHERE `id` = ? LIMIT 1;", array(1,$user['block_id']));
		system :: redirect("Страница успешно разблокирована. Будьте аккуратны!", profile :: getLink($user));
	} else { $errorP = "Не верный ключ. Попробуйте снова."; }
}


require (CORE."head.php");	
system :: show($errorP);
$nick = profile :: getFullName($data);
?>
	<div class="app-block">
		<div class="list" style="position: relative;">
			<div class="app-block-w">
			<div class="_center">
			
				
 			<div>
  				<div class="_name size--big">
  				<?=$nick?>
				</div>
  			</div>
  			</div>
  			<div class="_line"></div>
  			<div class="_center">

  			<div class="">Страница была <b>временно заблокирована</b><?=($data['block_time'] > time() ? " до <b>".system :: times($data['block_time'])."</b>" : '' )?> в связи с нарушениями правил сервиса.</div>

		<?php
		if($user['id'] == $data['id']) {
			echo "<div style=\"margin-top: 15px;\"><span class=\"_gray\">Причина:</span> ".$config['CAUSE_BLOCK'][$user['block_cause']]."</div>";
		}


		 if($data['block_time'] < time()) { 
				if($user['id'] == $data['id']) {
				?>
				<div style="margin-top: 10px;">
					<form method="post" action="">
						<input type="hidden" name="access" value="<?=ACCESS?>"/>
						<input type="submit" class="_w-100 main-btn" name="cfms" value="Разблокировать" />
					</form>
				</div>
				<?php
				} else {
		?>
		<div class="_gray" style="margin-top: 15px;">
			Если у Вас есть возможность связаться с <?=$nick?>, сообщите ему, что время блокировки закончилось, но страница нуждается в разблокировке.
		</div>
		<?php } } ?>
		</div>

		<?php if(admin :: getAccess($user,  array('a'=>3))) { ?>
			<div class="_lh-n _btn-up">
				<a href="/admin/?act=user/info&amp;id=<?=$data['id']?>" class="action-btn _dbl _center">Админ-информация</a>
			</div>
			<?php } ?>

		</div>
		</div>
	</div>
<?php
require (CORE."foot.php");	